#!/opt/psa/admin/bin/php
<?php

require_once('modules/cs-gs/common.php');

if (!db_connect()) {
	global $plesk_errormsg;
	echo ('Unable to connect to database: ' . ((1045 === $plesk_errormsg) ? 'saved admin password is incorrect.' : $plesk_errormsg) . "\n");
	exit(1);
}

cs_include_once('ServerManager.php');
cs_include_once('GameServer.php');

$mng = new ServerManager();

$res = db_query("SELECT id FROM module_cs_gs_servers");

while (list($id) =  mysql_fetch_array($res)) {
	$Game = new GameServer($id);
	if ($Game->error())
		continue;

	if (!$mng->killGame($Game)) {
		echo "Warning: " . $mng->getErrorMsg() . "\n";
		continue;
	}

	if (!$Game->delete())
		echo 'Warning: Unable to delete GameServer object: ' . $Game->getErrorMsg();
}


if (cs_del_param('operator_id')) {
	$res = db_query('DELETE FROM custom_buttons WHERE level=' . cs_del_param('operator_type') . " AND level_id='" . cs_del_param('operator_id') . "' AND url='" . cs_path('index.php') . "';");

	cs_put_param('operator_type', '');
	cs_put_param('operator_id', '');
}

?>